#
# spec file for package perl-Audio-FLAC-Header
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Audio-FLAC-Header
Version:        2.4
Release:        5.1
Summary:        Interface to FLAC header metadata
# http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/Audio-FLAC-Header-%{version}.tar.gz
Source:         Audio-FLAC-Header-%{version}.tar.gz
Url:            http://search.cpan.org/dist/Audio-FLAC-Header
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Module::Install)

%description
This module returns a hash containing basic information about a FLAC file, a
representation of the embedded cue sheet if one exists, as well as tag
information contained in the FLAC file's Vorbis tags.

%prep
%setup -q -n "Audio-FLAC-Header-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes TODO README
%dir %{perl_vendorlib}/Audio
%dir %{perl_vendorlib}/Audio/FLAC
%{perl_vendorlib}/Audio/FLAC/Header.pm
%dir %{perl_vendorarch}/auto/Audio
%dir %{perl_vendorarch}/auto/Audio/FLAC
%{perl_vendorarch}/auto/Audio/FLAC/Header
%doc %{perl_man3dir}/Audio::FLAC::Header.%{perl_man3ext}%{ext_man}

%changelog
* Mon Oct  9 2017 olaf@aepfle.de
- Require Module::Install for perl 5.26
* Fri Mar 18 2011 pascal.bleser@opensuse.org
- initial version (2.4)
